#ifndef __BOOST__IO__FORMAT_OBJECTS__CONTAINER_OUTPUT__HPP
#define __BOOST__IO__FORMAT_OBJECTS__CONTAINER_OUTPUT__HPP
   namespace boost { namespace io
   {
      template< typename FormatType, typename Outputter = boost::io::basic_output >
      class container_output: public detail::list_output< FormatType, container_output< FormatType, Outputter >, Outputter >
      {
         public:
            template< typename Container, class OutputStream >
            inline OutputStream &                operator()
                                                 (
                                                    OutputStream & os,
                                                    const Container & const_t c
                                                 ) const
            {
               return( detail::list_output< FormatType, container_output, Outputter >::operator()
               (
                  os, c.begin(), c.end()
               ));
            }
         public:
            inline                     container_output() throw()
            {
            }
            inline                     container_output( Outputter o ) throw():
               detail::list_output< FormatType, container_output, Outputter >( o )
            {
            }
            inline                     container_output( const container_output & const_t o ) throw():
               detail::list_output< FormatType, container_output, Outputter >( o )
            {
            }
            template< typename RT2 >
            inline           container_output
                             (
                                const formatter_t< FormatType, RT2 > & const_t fmt
                             ) throw():
               detail::list_output< FormatType, container_output, Outputter >( fmt )
            {
            }
      };
   }}
#endif
